using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace Elecciones.Database.Migrations
{
    /// <inheritdoc />
    public partial class AddPercentageFieldsToResults : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<decimal>(
                name: "PorcentajeVotos",
                table: "ResultadosVotos",
                type: "decimal(18,2)",
                nullable: false,
                defaultValue: 0m);

            migrationBuilder.AddColumn<decimal>(
                name: "VotosEnBlancoPorcentaje",
                table: "EstadosRecuentos",
                type: "decimal(18,2)",
                nullable: false,
                defaultValue: 0m);

            migrationBuilder.AddColumn<decimal>(
                name: "VotosNulosPorcentaje",
                table: "EstadosRecuentos",
                type: "decimal(18,2)",
                nullable: false,
                defaultValue: 0m);

            migrationBuilder.AddColumn<decimal>(
                name: "VotosRecurridosPorcentaje",
                table: "EstadosRecuentos",
                type: "decimal(18,2)",
                nullable: false,
                defaultValue: 0m);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "PorcentajeVotos",
                table: "ResultadosVotos");

            migrationBuilder.DropColumn(
                name: "VotosEnBlancoPorcentaje",
                table: "EstadosRecuentos");

            migrationBuilder.DropColumn(
                name: "VotosNulosPorcentaje",
                table: "EstadosRecuentos");

            migrationBuilder.DropColumn(
                name: "VotosRecurridosPorcentaje",
                table: "EstadosRecuentos");
        }
    }
}
